Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685645 - 30 and Rawhide composes fail due to anaconda-core unexpectedly and incorrectly depending on blivetgui
Summary: 30 and Rawhide composes fail due to anaconda-core unexpectedly and incorrectl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: BetaBlocker, F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-03-05 17:29 UTC by Adam Williamson
Modified: 2019-04-04 00:01 UTC (History)
11 users (show)

Fixed In Version: anaconda-30.25.3-2 anaconda-30.25.3-2.fc30 anaconda-30.25.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 16:45:24 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-03-05 17:29:59 UTC
A recent anaconda change:

https://github.com/rhinstaller/anaconda/pull/1857

resulted in the core of anaconda depending on the 'blivetgui' module (provided by blivet-gui-runtime package), which has previously always been intentionally avoided. The `anaconda-core` package, which contains this code, does not depend on blivet-gui-runtime, and as a result of this, image builds that run during the distribution compose process are failing because they run as non-GUI installs and don't include anaconda-gui / blivet-gui-runtime in their environments:

https://pagure.io/dusty/failed-composes/issue/1581
https://koji.fedoraproject.org/koji/taskinfo?taskID=33180334

We could make anaconda-core depend on blivet-gui-runtime, but this would not be how things are supposed to be done, this split between anaconda-core and anaconda-gui with the core *not* depending on things like blivetgui is intentional. The change needs to be reworked somehow such that it doesn't introduce this dependency to the non-GUI part of anaconda.

Marking as an automatic Fedora 30 Beta blocker as it breaks the compose: https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers - "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release"

Comment 1 Vendula Poncova 2019-03-06 14:50:03 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1871

Comment 2 Fedora Update System 2019-03-06 18:17:22 UTC
anaconda-30.25.3-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-66802096bb

Comment 3 Fedora Update System 2019-03-07 16:45:24 UTC
anaconda-30.25.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-04-02 16:48:36 UTC
anaconda-30.25.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 5 Fedora Update System 2019-04-03 02:27:40 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 6 Fedora Update System 2019-04-04 00:01:56 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.